<?php
class PaDefault extends CustomPage {
	public $sErrorImg='';
	public $sErrorTxt='';
	
	public function PaDefault(){
		$this->ComPage();
	}
	public function OnLoadModel(){
		$this->sMetaTitle='确认电子邮箱认证';
		$this->sErrorImg='../../../Ui/m_default/Img/Home/42.jpg';
		$this->sErrorTxt='电子邮箱认证成功。';
		$this->sApp=new netsuserinfo($this->sConnString);
		
		if($this->sActionType=='UserConfirmEmail_callback'){
			$tmpAR0=$this->AnalyerRequest('UserConfirmEmail_callback',',0',0);
			$tmpINT=$this->sApp->confirmEmail_callback($tmpAR0,0);
		}else if($this->sActionType=='UnitConfirmEmail_callback'){
			$tmpAR0=$this->AnalyerRequest('UnitConfirmEmail_callback',',0',0);
			$tmpINT=$this->sApp->confirmEmail_callback($tmpAR0,1);
		}
		if($tmpINT!=0){
			$this->sErrorTxt=$this->sApp->sysLastError;
			return 1;
		}
		return 0;
	}
}
?>